MaxEye DAB SG Create and Save Waveform.vi

This VI perfoms the following.

i. Checks the configuration parameters in the DAB Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size and returns it to the user
iii. Creates the DAB waveform as per the configured parameters.
iv. Writes the created waveform in the file as per the waveform file path location configured by the user

DAB Generation Handle In

stop

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

Waveform Length in Samples specifies the waveform Length in samples that is saved into the file.

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

MAXEYE TECHNOLOGIES Private Limited
Digital Video Toolkits - T-DMB/DAB Signal Generation

For more details on this help, please write to us at
info@maxeyetech.com


MAXEYE T-DMB/DAB Signal Generation Toolkit Help

The MAXEYE T-DMB/DAB Signal generation toolkit contains VIs that can be used for generating signals with National Instruments hardware or generate signals in simulation mode as per the T-DMB/DAB Standards ETSI EN 300401 v1.4.1, ETSI TS 102 427 v1.1.1. This document has information about the toolkit Labview API VIs to help engineers for programming.

____________________________________________________________________________________________________

For more information regarding this help please contact info@maxeyetech.com


MaxEye DAB SG Initialize.vi

This VI creates MaxEye DAB-TDMB Generation Handle with the default values and passes the handle to the later VIs.

Number of Carriers - Configure the actual Number of carriers property in the DAB-TDMB Signal Generation handle to specify how many carriers need to be generated.

Number of Carriers

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB RFSG Create and Download Waveform.vi

This VI perfoms the following.

i. Checks the configuration parameters in the DAB Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size, allocates on board memory space for writing waveform.
iii. Creates the DAB waveform as per the configured parameters.
iv. Writes the created waveform in the RFSG on board memory.

instrument handle passes a reference from the NI-RFSG instrument session to the next VI. This parameter is obtained from the niRFSG Initialize VI and identifies a particular instrument session.

DAB Generation Handle In

Waveform name specifies the name used to store the waveform. This string is case-insensitive and alphanumeric, and it does not use reserved words.

Stop

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

instrument handle out passes a reference from the instrument session to the next VI.

DAB Generation Handle Out

Complex Waveform Specifies the data for a real waveform including the start, delta, and actual values.

Play Duration, Seconds

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Waveform File Path.vi

Configures the file location for the Waveform File Path property in DAB Signal Generation handle. The toolkit saves the generated waveform in the file when MaxEye DAB RFSG Create and Save Waveform API VI is used for the wavefrom creation.

If the Output Waveform File Path for the combined waveform containing multiple carriers is not specified then a file dialog box opens prompting the user to enter the file name.

DAB Generation Handle In

Waveform File Path Specifies the file location where the generated DAB waveform is stored.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Close Handle.vi

Closes the DAB Signal Generation handle and resources associated with it.

DAB Generation Handle In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Read Waveform From File I8.vi

Reads the DAB waveform from the given file location based on the value configured in the count input parameter. The number of bytes read from the file is equal to the value of the count. The data is read continuously from the file.

The default value of the count is 1.

refnum in can be a refnum or absolute file path. If it is a path, this function opens the file specified by the path. The default is to display a file dialog box and prompt you to select a file.

count (1) specifies the number of data elements to read. Data elements can be bytes or instances of data type. The function returns count data elements in data, or if it reaches the end of the file, it returns all the complete data elements read thus far and an end-of-file error. By default, the function returns a single data element. If count is –1, the function reads the entire file. If count is less than –1, the function returns an error.

Sample Width specifies the Sample Width of the generated waveform. If the Sample Width property is set to 0(8-bit) the toolkit uses 8 bits for quantizing I and Q sample and if it is set to 1(16-bit) the toolkit uses 16 bits for quantizing the I and Q samples.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

refnum out is the refnum of the file that the function read. You can wire this output to another file function, depending on what you want to do with the file. The default is to close the file if it is referenced by a file path or selected from the file dialog box. If file is a refnum or if you wire refnum out to another function, LabVIEW assumes that the file is still in use until you close it.

Waveform contains the data read from the file in the specified data type. It can consist of a string, an array, a cluster of arrays, or a cluster array, depending on which data type you are reading and how count is set.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Transmission Mode.vi

Configures the Transmission Mode property for the DAB-TDMB Signal generation handle.

The default value of the carrier index is zero corresponds to the first carrier.
For generating multicarrier signal, configure the parameter for each carrier index

Default value of Transmission mode is Mode1

DAB Generation Handle In

Transmission Mode Specifies the Transmission Mode. The valid enum values for Transmission Mode are,
0 --> Mode I ,
1 --> Mode II ,
2 --> Mode III and
3 --> Mode IV .
The default value is set to 0( Mode I).

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Oversampling Enabled.vi

Configures the Oversampling Enabled property in the DAB Signal Generation handle.

This property is same for all the carriers.

The valid values.
0 : False
1 : True

The Default value.
Oversampling Enabled : False

DAB Generation Handle In

Oversampling Enabled? Specifies whether the Oversampling Property is enabled or not. If this property is set to True then the toolkit resamples the generated signal based on the value configured by the user for the Output Sampling Rate property.

The valid values are True and False. The default value is False.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Output Sampling Rate.vi

Configures the Output Sampling Rate (Hz) property of the DAB Signal Generation handle.
The toolkit resamples the generated signal to a sampling rate equal to the Output Sampling Rate only if the Over Sampling Enabled property is set to 1(True). If this value is zero then toolkit generates the signal at a default sampling rate which is in turn dependent on the Bandwidth.

DAB Generation Handle In

Output Sampling Rate Specifies the Output Sampling Rate. The Default Sampling rate is 2.048 MSPS.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Sample Width.vi

Configures the Sample Width property in the DAB Signal Generation handle. The toolkit uses this value only when MaxEye DAB SG Create and Save Waveform API VI is used for storing the generated waveform in the file.
This property is same for all the carriers.

The valid values.
0 : 8 bit
1 : 16 bit

The default value.
Sample Width : 16 bit

DAB Generation Handle In

Sample Width Specifies the Sample Width. If the Sample Width property is set to 0(8-bit) the toolkit uses 8 bits for quantizing I and Q sample and if it is set to 1(16-bit) the toolkit uses 16 bits for quantizing the I and Q samples.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Number of Transmission Frames.vi

Configures the total number of Transmission frames property in the DAB signal generation toolkit. The toolkit uses the same frame configuration for all the frames and the payload is continuous across frames.

DAB Generation Handle In

Number of Transmission Frames Specifies the Number of Transmission Frames. The default value is 1.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Input Mode.vi

Configures the Input Mode property in the DAB signal generation handle.
The default value of the carrier index is zero corresponds to the first carrier.
For generating multicarrier signal, configure the parameter for each carrier index

The Valid Values are
0 : ETI
1: USER

Default Value: is USER

DAB Generation Handle In

Input Mode Specifies the Input Mode. The valid enum values for the Input Mode property is either 0(User Configuration) or 1(ETI File).
The default value is 0(User Configuration).

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Ensemble Label.vi

Configures the Ensemble Label property in the DAB-TDMB signal generation handle.
The Ensemble Label is used to identify the ensemble in a textual format.The maximum number of characters that can be given as input to this property is 16 including spaces.

The default value of the carrier index is zero corresponds to the first carrier.
For generating multicarrier signal, configure the parameter for each carrier index

DAB Generation Handle In

Ensemble Label Specifies the Ensemble Label is used to identify the ensemble in a textual format.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Ensemble Linking.vi

Configures the Ensemble Linking Enabled property for the DAB-TDMB Signal generation handle. If Ensemble Linking Enabled is True then the Same Ensemble is transmitted in the Specified frequencies.

The default value of the carrier index is zero corresponds to the first carrier.
For generating multicarrier signal, configure the parameter for each carrier index

DAB Generation Handle In

Linked Ensembles Information

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Ensemble Reference.vi

Configures the Ensemble Reference properties for the DAB Signal generation handle. Each carrier have unique Ensemble reference value
The default value of ensemble reference is 0

The default value of the carrier index is zero corresponds to the first carrier.
For generating multicarrier signal, configure the parameter for each carrier index

DAB Generation Handle In

Ensemble Reference Specifies the Ensemble Reference. The valid value for Ensemble Reference is from 0 to 4095. The default value for this property is 1.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Country Identifier.vi

Configures the Country Identifier property in the DAB signal generation handle.
The default value of the carrier index is zero corresponds to the first carrier.
For generating multicarrier signal, configure the parameter for each carrier index

For more details refer to tables 3 to 7 of TS 101 756 [16] V1.4.1 (2009-07) [Registered Tables] of DAB Standard.

DAB Generation Handle In

Country Identifier Specifies the Country Identifier. The valid values for this property is from 0 to 15. The default value is 0.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Create ETI Frame Enabled.vi

Configures the Create ETI Frame Enabled property in the DAB signal generation handle. If this property is set to 1 (True) then the toolkit creates ETI frames as per the standard and writes the data in the file specified by the ETI File Path property.
The default value is FALSE

The default value of the carrier index is zero corresponds to the first carrier.
For generating multicarrier signal, configure the parameter for each carrier index

Default Value: False
For more details refer to ETS 300 799 (June 1997) [Distribution interfaces;Ensemble Transport Interface (ETI)] of DAB Standard.

DAB Generation Handle In

Create ETI Frame Enabled? Specifies the Create ETI Frame Enabled value. The valid enum values for this property are 0 (False) and 1 (True). The default value is 0(False).

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set ETI File Path.vi

Configures the Set ETI File Path Type properties for the DAB Signal generation handle.
The toolkit reads the ETI data from the binary file for generating the signal when the Input Mode property is set to 1(ETI File).
Carrier Index : Defines which carrier parameters need to be configured, Zero carrier index = First carrier parameters.

DAB Generation Handle In

ETI File Path Specifies the ETI File path.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Number of Services.vi

Configures the Number of Services property for the DAB Signal generation handle.
The default value is 1
The default value of the carrier index is zero corresponds to the first carrier.
For generating multicarrier signal, configure the parameter for each carrier index

DAB Generation Handle In

Number of Services Specifies the Number of Services. The valid values for this property is from 1 to 64.The default value is 1.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Number of Subchannels.vi

Configures the Number of Subchannels property in the DAB Signal generation handle.
The default value is 1.

The default value of the carrier index is zero corresponds to the first carrier.
For generating multicarrier signal, configure the parameter for each carrier index.

DAB Generation Handle In

Number of Subchannels Specifies the Number of Subchannels. The valid values for this property is from 1 to 64. The default value is 1.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Progress Bar Control Refnum.vi

Configures the control refnum in the DAB Generation Handle for progress status bar update in the user front panel. Use this API VI to monitor the progress of the waveform generation. You need to create progress bar control in the labview frontpanel and then pass the control refnum as an input to this VI.

DAB Generation Handle In

Progress Bar Control RefNum

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Headroom,dB.vi

Configures the Head room property in the DAB signal generation handle.

The default value is 12

DAB Generation Handle In

Headroom (dB)

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Carrier Configuration.vi

Configures the Carrier Configuration(Carrier Frequency and Bandwidth) property in the DAB Signal Generation handle.
The default values of Carrier Frequency and Bandwidth are 174.928M and 2M respectively.

The default value of the carrier index is zero corresponds to the first carrier.
For generating multicarrier signal, configure the parameter for each carrier index.

DAB Generation Handle In

Carrier Configuration

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Maximum Real Time Bandwidth.vi

Configures the Maximum Real Time BandWidth property in the DAB Signal Generation handle.

The default value : 100Mhz

DAB Generation Handle In

Maximun real time bandwidth

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Number of Carriers.vi

Configures the actual Number of Carriers in the DAB-TDMB Signal Generation handle.

Number of Carriers : Specify how many carriers need to be generated.

The default value is 1

DAB Generation Handle In

Number of Carriers

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Power Level.vi

Configures the Power level property in the DAB Signal Generation handle.

The default value : -6 dBm

DAB Generation Handle In

Power level

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Get Center Frequency.vi

Returns the center frequency of the generating waveform

DAB Generation Handle in

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

Center Frequency

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Get Number of Carriers Actual.vi

DAB Generation Handle in

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

Number of Carriers( Actual)

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Get Output Waveform Sampling Rate.vi

Returns the generated waveform sampling rate

DAB Generation Handle in

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

Output Waveform Sampling Rate

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Get PAPR.vi

Returns the PAPR of the waveform

DAB Generation Handle in

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

PAPR Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Get Play Duration.vi

This VI returns the play duration of the generated DAB signal.

DAB Generation Handle in

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

Play Duration (Sec)

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG ReInit DAB Configuration.vi

This VI initialize Array elements according to the number of carriers

Number of Carriers

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Signal Parameters

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB USRP Create Waveform(Real Time).vi

This VI perfoms the following.

i. Checks the configuration parameters in the DAB Signal Generation handle and returns an error if the configuration is not valid.
iii. Creates the DAB waveform as per the configured parameters.
iii. Play the waveform through the USRP

DAB Generation Handle In

Generation Queue(Real time) In

Stop Generation

USRP IP Address In

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

USRP IP Address Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB VSG Create Waveform(Real Time).vi

This VI perfoms the following.

i. Checks the configuration parameters in the DAB Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size, allocates on board memory space for writing waveform.
iii. Creates the DAB waveform as per the configured parameters.
iv. Writes the created waveform in the RFSG on board memory.

DAB Generation Handle In

Generation Queue(Real time) In

Instrument handle In

Stop Generation

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

Instrument handle out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB VST Create Waveform(Real Time).vi

This VI perfoms the following.

i. Checks the configuration parameters in the DAB Signal Generation handle and returns an error if the configuration is not valid.
ii. Computes the waveform size, allocates on board memory space for writing waveform.
iii. Creates the DAB waveform as per the configured parameters.
iv. Writes the created waveform in the VST on board memory.

DAB Generation Handle In

Start Trigger

output stream session in

Stop Generation

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Subchannel Configuration.vi

Configures the Subchannel Configuration properties for the DAB Signal generation handle. The help for the each of the Subchannel specific properties can be found in the property specific API VIs. This API is used for configuring the multiple properties using the Subchannel Configuration cluster for ease of use.

The default value of the carrier index is zero corresponds to the first carrier.
For generating multicarrier signal, configure the parameter for each carrier index

MaxEye Technologies Recommends to use property specific API VIs to avoid compatibility issues with the Future release of this software.

DAB Generation Handle In

Subchannel Configuration Specifies the Subchannel Configuration Parameters.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Subchannel Identifier.vi

Configures the Subchannel Identifier property for the DAB Signal generation handle for the selected Subchannel Index.

DAB Generation Handle In

Subchannel Identifier Specifies the Subchannel Identifier. The valid value is from 0 to 63.
The default value is 0.

Subchannel Index Specifies the Subchannel Index. The valid value is from 0 to 63. The default value is 0.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Subchannel Size and Protection Mode.vi

Configures the Subchannel Size and Protection Mode property for the DAB Signal generation handle for the selected Subchannel Index.

DAB Generation Handle In

Subchannel Size and Protection Mode Specifies the Subchannel Size and Protection Mode. The valid enum value for this property is either 0(Short Form) or 1(Long Form). The dafault value is 0.

Subchannel Index Specifies the Subchannel Index. The valid values for the Subchannel Index is from 0 to 63.The default value is 0.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Subchannel Protection Level.vi

Configures the Subchannel Protection Level properties for the DAB Signal generation handle for the selected Subchannel Index.

If the Subchannel Size and Protection Mode value is set to 0, then the toolkit ignores this property. If the Subchannel Size and Protection Mode property value is set to 1, the valid values for Subchannel Protection Level can only be from 5 to 12.

For more details refer to the section 6.2.1 of EN 300 401 V1.4.1 (2006-06) [Digital Audio Broadcasting (DAB) to mobile, portable and fixed receivers] of DAB Standard.

DAB Generation Handle In

Subchannel Size and Protection Level Specifies the Subchannel Size and Protection Level.
The valid enum values for the Subchannel Protection Level are -
0 : 1 (Unequal) | 1 : 2 (Unequal) | 2 :3 (Unequal) | 3 : 4 (Unequal) | 4 : 5 (Unequal) |
5 : 1-A (Equal) | 6 : 2-A (Equal) | 7 : 3-A (Equal) | 8 : 4-A (Equal) |
9 : 1-B (Equal) | 10 : 2-B (Equal) | 11: 3-B (Equal) | 12 : 4-B (Equal) |
The default value of the Subchannel Size and Protection Level is set to 0 (1 Unequal).

Subchannel Index Specifies the Subchannel Index. The valid values for Subchannel index is from 0 to 63. The default value is 0.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set UEP Table Index.vi

Configures the UEP Table Index property for the DAB Signal generation handle for the selected index of subchannel index.

The valid values for Subchannel index is from 0 to 63. The valid values for UEP Table Index is from 0 to 63. This property needs to be set only when Subchannel Size and Protection Mode value is 0.The default value for both Subchannel index and UEP Table Index is 0.

For more details refer to the Table 6 of EN 300 401 V1.4.1 (2006-06) [Digital Audio Broadcasting (DAB) to mobile, portable and fixed receivers] of DAB Standard.

DAB Generation Handle In

Subchannel Size and UEP Table Index Specifies the Subchannel Size and UEP Table Index values. The valid values are from 0 to 63.

Subchannel Index Specifies the Subchannel Index.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Subchannel EEP n Value.vi

Configures the Subchannel EEP n Value property for the DAB Signal generation handle for the selected index of subchannel index.

Subchannel EEP n Value should be an integer value. The EEP n Value property should be selected only when Subchannel Size and Protection Mode is set to 1.

For more details refer to Table 7 and 8 of EN 300 401 V1.4.1 (2006-06) [Digital Audio Broadcasting (DAB) to mobile, portable and fixed receivers] of DAB Standard.

DAB Generation Handle In

EEP n value Specifies the EEP n value.
Valid EEP n property values are
i. 1 to 72 when Subchannel Protection Level is set to 5 (1A)
ii. 1 to 108 when Subchannel Protection Level is set to 6 (2A)
iii. 1 to 144 when Subchannel Protection Level is set to 7 (3A)
iv. 1 to 216 when Subchannel Protection Level is set to 8(4A)
v. 1 to 32 when Subchannel Protection Level is set to 9 (1B)
vi. 1 to 41 when Subchannel Protection Level is set to 10(2B)
vii. 1 to 48 when Subchannel Protection Level is set to 11 (3B)
viii. 1 to 57 when Subchannel Protection Level is set to 12(4B)

The default value of Subchannel index is 0 and EEP n Value is 1.

Subchannel Index Specifies the Subchannel Index. The valid values for Subchannel index is from 0 to 63.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Service Configuration.vi

onfigures the Service Configuration property for the DAB Signal generation handle. The help for the each of the Service specific properties can be found in the property specific API VIs. This API is used for configuring the multiple properties using the Service Configuration cluster for ease of use.

The default value of the carrier index is zero corresponds to the first carrier.
For generating multicarrier signal, configure the parameter for each carrier index

MaxEye Technologies Recommends to use property specific API VIs to avoid compatibility issues with the Future release of this software.

DAB Generation Handle In

Service Configuration

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Service Reference.vi

Configures the Service Reference property in the DAB signal generation handle for the selected Service Index.

DAB Generation Handle In

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Service Label.vi

Configures the Service Label property in the DAB signal generation handle for the selected Service Index.

DAB Generation Handle In

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Number of Service Components.vi

Configures the Number of Service Components property for the DAB Signal generation handle for a selected Service Index.

DAB Generation Handle In

Number of Service Components Specifies the Number of Service Components. The valid values for Number of Service Components property is from 1 and 12. The default value is 0.

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Service Component Label.vi

Configures the Service Component Label property in the DAB signal generation handle for the selected Service Index and Service Component Index.

DAB Generation Handle In

Service Component Label Specifies the Service Component Label. The Service Component Label is used to identify the Service Component in a textual format. The maximum number of characters that can be given as input to this property is 16 including spaces.
The default value for Service index is 0 and Service Component Index is 0.

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Carrier Index

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Service Component Identifier.vi

Configures the Service Component Identifier property for the DAB Signal generation handle for the selected Service Index and Service Component Index.

DAB Generation Handle In

Service Component Identifier Specifies the Service Component Identifier. The valid values for the Service Component Identifier from 0 to 4095. The default value is 0.

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default value is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Service Component Subchannel Identifier.vi

Configures the Subchannel Identifier property for the DAB Signal generation handle for the selected Service Index and Service Component Index.

DAB Generation Handle In

Subchannel Identifier Specifies the Subchannel Identifier. The valid values for the Suchannel Identifier is from 0 to 63. The default value is 0.

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Carrier Index

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Transport Mechanism Identifier.vi

Configures the Transport Mechanism Identifier property in the DAB Signal generation handle for the selected Service Index and Service Component Index.

DAB Generation Handle In

Transport Mechanism Id (TMId) Specifies the Transport Mechanism Id (TMId). The valid values are
0--> MSC-Stream Mode Audio
1--> MSC-Stream Mode Data
2--> FIDC
3--> MSC-Packet Mode Data.
The options 2(FIDC) and 3(MSC-Packet Mode Data) is not supported.
The default value is 0(MSC-Stream Mode Audio)

Service Index Specifies the Service Index. The valid values are from 0 to 63. The default value is 0.

Service Component Index Specifies the Service Component Index. The valid values are from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Carrier Index

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Audio Service Component Type.vi

Configures the Audio Service Component Type property in the DAB signal generation handle for the selected Service Index and Service Component Index.

DAB Generation Handle In

Audio Service Component Type Spcifies the Audio Service Component Type. The valid values are
0 --> Foreground sound,
1 --> Background sound.
2 --> Multi-channel Audio extension,
3 --> DAB Plus.
The default value for 0 --> Foreground sound).

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Carrier Index

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Data Service Component Type .vi

This VI configures the Data Service Component Type property for the DAB Signal generation handle for the selected Service Index and Service Component Index.

The valid values for the Service index is from 0 to 63. The valid values for the Service Component Index are from 0 to 11.
The valid values for the Data Service Component Type are
0 (Unspecified),
1 (Traffic Message Channel),
2 (Emergency Warning System),
3 (Interactive Text Transmission System),
4 (Paging),
5 (Transparent Data Channel),
6 (T-DMB),
7 (Embedded Data Channel),
8 (Multimedia Object Transfer) and
9 (Proprietary Service).

The default value for Service index is 0, Service Component Index is 0 and Data Service Component Type is set to 0 (Unspecified).

For more details refer to tables 3 to 7 of TS 101 756 [16] V1.4.1 (2009-07) [Registered Tables] of DAB Standard.

DAB Generation Handle In

Data Service Component Type

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Service Component Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Carrier Index

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Primary Secondary Flag.vi

Configures the Primary Secondary Flag property in the DAB Signal generation handle for the selected Service Index and Service Component Index. It indicates whether the service component is the primary one or the secondary one.

DAB Generation Handle In

Primary Secondary Flag Specifies the Primary Secondary Flag. The valid value is either
0 --> Secondary Flag or
1 --> Primary Flag.
The default value for Primary Secondary Flag is 0.

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Carrier Index

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Payload Configuration.vi

Configures the Payload properties for the DAB Signal generation handle for the selected Service Index and Service Component Index.

The help for the each of the payload property can be found in the proeprty specific API VIs. This API is used for configuring the multiple API properties using the payload cluster.

MaxEye Technologies Recommends to use property specific API VIs to avoid incompatibility issues with the Future release of this software.

DAB Generation Handle In

Digital Video Payload Control Specifies the Digital Video Payload Control configurations.

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Carrier Index

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Payload Mode.vi

Configures the Payload Mode property in the DAB Signal Generation handle for the selected Service Index and Service Component Index.

DAB Generation Handle In

Payload Mode Specifies the Payload Mode value.
The valid values for the Payload property are

PN Sequence - Specifies that the toolkit uses a Galois pseudonoise (PN) bit sequence with configurable order and seed. The seed is the initial state of the PN generator shift register.

User Defined Bits - Specifies that the toolkit repeats the user-supplied bit pattern to achieve the necessary payload length.

Test File - Specifies that the toolkit uses the data stored in the binary file as a payload for creating the waveform.

Test Pattern - Specifies that toolkit uses the value set in the Payload Test Pattern property as a payload for creating the waveform. The length of the Test Pattern is 8 bits. This value is the default.

MPEG2TS File(s) - Specifies that the toolkit uses the MPEG2 TS bitstream as a payload for creating the waveform. Use this payload mode for playing the video in the device under test.

MPEG2TS Audio - Specifies that the toolkit uses the MPEG2 TS Audio bitstream as a payload for creating the waveform. Use this payload mode for playing the audio in the device under test.

The default value for Payload Mode is PN Sequemce.

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default value is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Carrier Index

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Number of MPEG2 TS Files.vi

Configures the MPEG2 TS Number of Files property in the DAB Signal Generation handle for the selected TS File index, Service Index and Service Component Index.

The toolkit combines the multiple TS files to a single TS bitstream based on the bitrate of the each TS file and the channle bitrate of the DAB system. The channel bitrate of the DAB system is determined by the hierarchical layer configuration.

DAB Generation Handle In

MPEG2 TS Number of TS Files Specifies the MPEG2 TS Number of TS Files. The default value for MPEG2 TS Number of Files is 1.

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Carrier Index

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Sync Insertion Enabled.vi

Configures the Sync Insertion Enabled property in the DAB Signal generation handle for the selected Service Index and Service Component Index.

Sync Insertion Enabled Specifies whether Syc Insertion is Enabled or not. The valid enum values are TRUE and FALSE. The default value is FALSE.

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Carrier Index

DAB Generation Handle In

DAB Generation Handle In

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set MPEG2 TS File Path.vi

Configures the file location for the MPEG2TS File Path property in DAB Signal Generation handle for the selected TS File index, Service Index and Service Component Index.

The toolkit ignores this property if the Payload Mode property value is set to other than MPEG2TS File(s) mode.

DAB Generation Handle In

MPEG2TS File Path Specifies the MPEG2TS File path.

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

TS File Index

Carrier Index

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Payload Test Pattern.vi

Configures the Payload Test Pattern property in the DAB Signal Generation handle for the selected Service Index and Service Component Index. This property is applicable only when the payload property is set to test pattern.

DAB Generation Handle In

Payload Test Pattern Specifies the Payload Test Pattern. The valid Test Patterns are All 1s,All 0 s,10101010,11110000. The default value for the Test Pattern is All 1s.

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Carrier Index

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Payload User Defined Bits.vi

Configures the Payload User Defined Bits property in the DAB Signal Generation handle for the selected Service Index and Service Component Index. This property is applicable only when the Payload Mode property is set to User Defined Bits.

DAB Generation Handle In

Payload User Defined Bits Specifies the Payload User Defined Bits. The user defined bits should be array of 1s and 0s.

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default value is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Carrier Index

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Payload PN Order.vi

Configures the Payload PN Order property in the DAB Signal Generation handle for the selected Service Index and Service Component Index.

DAB Generation Handle In

Payload PN Order Specifies the order (length of memory) of the pseudorandom bit sequence (PRBS) generator. This property is applicable only when the Payload property is set to PN Sequence.

The default value for the PN Order property is 9.

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Carrier Index

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Payload Seed.vi

Configures the Payload PN seed property in the DAB Signal Generation handle for the selected Service Index and Service Component Index. This property is applicable only when the Payload property is set to PN Sequence.

DAB Generation Handle In

Payload PN Seed Specifies the Payload PN Seed. The default value for the PN seed is BEEFBEEF.

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set MPEG Audio File Path.vi

Configures the file location for the MPEG Audio File Path property in DAB Signal Generation handle for the selected TS File index, Service Index and Service Component Index.

The toolkit ignores this property if the Payload Mode property value is set to other than MPEG Audio File Path mode.

DAB Generation Handle In

MPEG2TS Audio File Path Specifies the MPEG2TS Audio File path.

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

TS File Index Specifies the TS File Index. The default value is 0.

Carrier Index

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Impairments Enabled.vi

Configures the Impairments Enabled property in the DAB Signal Generation handle. If this property is set to True then the toolkit adds the impairments to the generated signal as per the user configuration for the supported impairments.

DAB Generation Handle In

Impairments Enabled ? Specifies whether Impairments is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set AWGN Enabled.vi

Configures the AWGN Enabled property in the DAB Signal Generation handle. If this property is set to True then the toolkit adds Additive White Gaussian Noise (AWGN) to the created waveform based on the value configured in the Carrier to Noise Ratio property.

DAB Generation Handle In

AWGN Enabled Specifies whether the AWGN impairment is Enabled or not. The valid values are True and False. The default value is False.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Carrier to Noise Ratio.vi

Configures the value for the Carrier to Noise ratio property, in dB in the DAB Signal Generation handle. This value specifies the Carrier to Noise ratio of the generated signal.

DAB Generation Handle In

Carrier to Noise Ratio, dB Specifies the Carrier to Noise Ratio in dB. The default value is 50dB.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set I DC Offset.vi

Configures the I DC Offset, in % in the DAB Signal Generation Handle. The toolkit adds the DC offset to the in-phase signal component (I) of the complex waveform as a percentage of the root mean square magnitude of the unaltered I signal.

DAB Generation Handle In

I DC offset, % specifies the desired DC offset of the I waveform as a percentage of full scale of the input complex waveform. Valid values are between –100 and +100.
The default value is 0.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Q DC Offset.vi

Configures the value for Q DC Offset property, in % in the DAB Signal Generation Handle. The toolkit adds the DC offset to the quadrature-phase signal component (Q) of the complex waveform as a percentage of the root mean square magnitude of the unaltered Q signal.

DAB Generation Handle In

Q DC offset , % specifies the desired DC offset of the Q waveform as a percentage of full scale of the input complex waveform. Valid values are between –100 and +100. The default value is 0.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set IQ Gain Imbalance.vi

Configures the value for the IQ Gain Imbalance property, in dB in the DAB Signal Generation handle. This value specifies the ratio, in dB, of the mean amplitude of the in-phase (I) signal to the mean amplitude of the quadrature-phase (Q) signal.

DAB Generation Handle In

IQ gain imbalance, dB specifies the desired ratio of I gain to Q gain in dB. Valid values are between –6.0 and +6.0.
The default value is 0.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Quadrature Skew.vi

Configures the value for Quadrature skew Property in degrees in the DAB Signal Generation handle. Quadrature Skew specifies the deviation in angle from 90 degrees between the in-phase (I) and quadrature-phase (Q) signals.

DAB Generation Handle In

Quadrature skew, deg specifies the desired quadrature skew of the complex waveform in degrees. Valid values are between –30.0° and +30.0°.
The default value for the Quadrature Skew is 0.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Frequency Offset.vi

Configures the value for the Frequency Offset property, in Hz in the DAB Signal Generation Handle. The toolkit applies frequency offset to the created waveform based on the value configured in this property. The applied frequency offset is relative to the signal generator's carrier frequency.

DAB Generation Handle In

Frequency offset, Hz Specifies the Frequency Offset in Hz. The default value is 0.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Clock Offset.vi

Configures the value for the Clock Offset property, in PPM in the DAB Signal Generation handle.

DAB Generation Handle In

Clock Offset (PPM) Specifies the Clock Offset in ppm. The clock offset is applied to the generated waveform based on this value. The applied clock offset is relative to the the clock frequency of the signal generator.

The default value is 0.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye_DAB_SG_Remote_TCP_Open_Connection.vi

This VI opens TCP network connection between DAB SFP client and server applications.

IP Address

Port Number

Timeout (ms)

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DAB_SG_Remote_TCP_Close_Connection.vi

This VI Closes TCP Network Connection between DAB SFP Client and Server Application .

connection ID

error code (in) error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

error code out


MaxEye_DAB_SG_Remote_Set_Waveform_Settings.vi

This VI Configures the DAB Waveform Settings for each carrier based on carrier index value to Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

DAB configuration

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID out

Error Code Out


MaxEye_DAB_SG_Remote_Set_USRP_Play_Waveform_Settings.vi

This VI configures the USRP Play Waveform from File Settings to the DAB Remote SFP Application thorugh TCP Network Connection.

Connection ID In

Write Block Size (Samples)

Sample Width

Waveform File Path

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DAB_SG_Remote_Set_USRP_Hardware_Settings.vi

This VI configures the USRP Hardware Settings to the DAB Remote SFP Application thorugh TCP Network Connection.

Connection ID In

USRP IP Address

Gain (dB) gain specifies the aggregate gain, in dB, applied to the RF signal.

USRP Carrier Frequency (Hz) gain specifies the aggregate gain, in dB, applied to the RF signal.

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Active Antenna active antenna specifies the antenna port to use for this channel.

Connection ID Out

Error Code Out


MaxEye_DAB_SG_Remote_Set_TS_FilePath.vi

This VI Configures the TS file path Settings for each carrier based on carrier index , Sevice Index and Service Component Index value to Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

Service Index

Service Component Index

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

File path Index

TS File Path

Connection ID out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Subchannel_Configuration.vi

This VI Configures the Subchannels for each carrier based on carrier index value and subchannel index value to Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

Subchannel Index

Subchannel Configuration

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Streaming_Waveform_Size.vi

This VI configures the Streaming Waveform size in samples

Connection ID In

Streaming Waveform Size

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Service_Settings.vi

This VI Configures the Services for each carrier based on carrier index value and service index value to Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

Service Index

Service Configuration

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Service_Linking_To_Network.vi

This VI Configures the Linking to Network same or other for each carrier based on carrier index value and service index value to Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

Service Index

Linking Network Index

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Linking to Networks (Same or Other)

Service Information Size

Connection ID out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Service_Linking_Information.vi

This VI Configures theService Linking Information for each carrier based on carrier index value and Service Index value to Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

Service Index

Service Linking Information

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Linking Network Size

Connection ID out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Service_Information.vi

This VI Configures the Service Information for each carrier based on carrier index value and service index value to Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

Service Index

Linking Network Index

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Service Information Index

Service Information

Connection ID out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Service_Component_Settings.vi

This VI Configures the Service Component Settings for each carrier based on carrier index , Sevice Index and Service Component Index value to Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

Service Index

Service Component Index

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Service Component Configuration

Connection ID out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Service_Component_Payload.vi

This VI Configures the Service Component Payload Settings for each carrier based on carrier index , Sevice Index and Service Component Index value to Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

Service Index

Service Component Index

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Digital Video Payload Control

Connection ID out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Play_Waveform_Settings.vi

This VI configures the DAB Play Waveform From File Settings to the DAB Remote SFP Application thorugh TCP Network Connection.

Connection ID In

Write Block Size (Samples)

Center Frequency Level specifies in the carrier signal level in dBf. To convert to dBm, subtract 120 dB from this measurement. To convert to dBuV, subtract 13 dB.

Sample Width

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Waveform File Path

Connection ID Out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Output_Waveform_Settings.vi

This VI configures the DAB-TDMB Output Waveform Settings to the Remote SFP Application through TCP Network Connection.

Connection ID In

Oversampling Enabled

Output Sampling Rate

Sample Width

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Headroom (dB)

Connection ID Out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Output_Waveform_FilePath.vi

This VI configures the Generate and Save Waveform File Path to the Remote SFP Application through TCP Network Connection.

Connection ID In

Wavfeorm File Path

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Number_Of_Subchannels.vi

This VI Configures the Number of Subchannels for each carrier based on carrier index value to Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

Number of Subchannels

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Number_Of_Services.vi

This VI Configures the Number of Services for each carrier based on carrier index value to Remote SFP Application through TCP Network Connection.

Default value is 1.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

Number of Services

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Number_Of_ServiceComponents.vi

This VI Configures the Number of Service Component for each carrier based on carrier index value and service index value to Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

Service Index

Number of Service Components

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Number_of_Frames.vi

This VI configures the total number of frames to the DAB Remote SFP Application through TCP Network Connection.

The default value is 1.

Connection ID In

Number of Transmission Frames

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Number_of_Carriers.vi

This VI configures the Number of Carriers to the DAB Remote SFP Application through TCP Network Connection.

The default value is 1.

Connection ID In

Number of Carriers

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Impairments.vi

This VI Configures the Impairment properties for the each carrier based on carrier index value to the DAB Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Impairments

Carrier Index

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Hardware_Settings.vi

This VI configures the VSG/VST Hardware Settings to the DAB Remote SFP Application through TCP Network Connection.

Connection ID In

Hardware settings

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Hardware_Options.vi

This VI configures the Hardware Type to the Client DAB SFP Application thorugh TCP Network Connection.

The default value is 0.
0 - VSG/VST(5644R,5645R,5646R,5840)
1 - USRP

Connection ID In

Hardware Type

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Generation_Mode.vi

This VI configures the Generation Mode to the DAB Remote SFP Application through TCP Network Connection.

The default value is 2.
0 - Generate and Play Waveform(Real Time)
1 - Generate and Play Waveform
2 - Generate and Save Waveform
3- Play Waveform From File

Connection ID In

Generation Mode

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Ensemble_Linking_Information.vi

This VI Configures the Ensemble Linking Information for each carrier based on carrier index value to Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Connection ID In

Carrier Index

Linked Ensembles Information

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID out

Error Code Out


MaxEye_DAB_SG_Remote_Set_Carrier_Configuration.vi

This VI Configures the Carrier Frequency and Signal Bandwidth for the each carrier based on carrier index value to the DAB Remote SFP Application through TCP Network Connection.

The default value of the Carrier Index is zero corresponds to the first carrier.
For generating multi carrier signal, Configure the parameters for each carrier index.

Signal Bandwidth Default Value is 2MHz

Connection ID In

Carrier Index

Carrier frequency (Hz) The center frequency of the signal analyzer.

Signal Bandwidth (Hz)

Error Code In error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID Out

Error Code Out


MaxEye_DAB_SG_Remote_Get_Error_Status.vi

This VI Receives error message from the Remote SFP Application through TCP Network Connection.

error code (in) error code is the code you want to convert to an error cluster. The default is 0, which indicates that no error occurred.

Connection ID In

error code

Generation Status

Error Status

Connection ID Out

Generating Frames


MaxEye DAB SG Get MPEG2TS PIDs.vi

Returns the list of available PIDs from all the MPEG2 TS files used as a payload for generating the signal for the selected Service Index and Service Component Index.

This VI returns an empty array if the Payload Mode property is not set to MPEG2TS File(s).

DAB Generation Handle In

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Carrier Index

DAB Generation Handle Out

MPEG2TS PID List Specifies the MPEG2TS PID list.

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Leap Second Indicator.vi

Configures the Leap Second Indicator property in the DAB signal generation handle.

DAB Generation Handle In

Leap Second Indicator(LSI) Specifies the Leap Second Indicator(LSI). Leap Second Indicator (LSI ) is 1-bit flag that is set to "1" throughout a UTC day containing a leap second. The valid values for this property are 0 and 1. The default value is 0.

Carrier Index

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.


MaxEye DAB SG Set Payload File Path.vi

Configures the Payload File Path property in the DAB Signal Generation handle for the selected Service Index and Service Component Index.
The toolkit reads the payload data from the binary file for generating the signal when the Payload Mode property is set to Test File.

DAB Generation Handle In

Payload File Path Specifies the Payload File Path.

Service Index Specifies the Service Index. The valid values for the Service index is from 0 to 63. The default values is 0.

Service Component Index Specifies the Service Component Index. The valid values for the Service Component Index is from 0 to 11. The default value is 0.

error in (no error) error in can accept error information wired from VIs previously called. Use this information to decide if any functionality should be bypassed in the event of errors from other VIs.

Right-click the error in control on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.

Carrier Index

DAB Generation Handle Out

error out error out passes error or warning information out of a VI to be used by other VIs.

Right-click the error out indicator on the front panel and select Explain Error or Explain Warning from the shortcut menu for more information about the error.